import App

###############################################################################
#	Create(pTorp)
#	
#	Creates a klingon torpedo.
#	
#	Args:	pTorp - the torpedo, ready to be filled-in
#	
#	Return:	zero
###############################################################################
def Create(pTorp):

	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(0.0 / 255.0, 255.0 / 255.0, 0.0 / 255., 1.000000)	
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(204.0 / 255.0, 130.0 / 255.0, 0.0 / 255.0, 1.000000)

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/RGS_TorpedoCore.tga",
					kCoreColor, 
					0.08,
					1.2,	 
					"data/Textures/Tactical/RGS_TorpedoGlow.tga", 
					kGlowColor,
					1.0,	
					0.5,	 
					0.6,	
					"data/Textures/Tactical/RGS_TorpedoFlares.tga",
					kGlowColor,										
					10,		
					0.5,		
					0.3)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.25)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )
	pTorp.SetLifetime( GetLifetime() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.KLINGONTORP)

	return(0)

def GetLaunchSpeed():
	return(20.0)

def GetLaunchSound():
	return("Klingon H Torpedo")

def GetPowerCost():
	return(40.0)

def GetName():
	return("Heavy Photon")

def GetDamage():
	return 350.0

def GetGuidanceLifetime():
	return 20.0

def GetMaxAngularAccel():
	return 0.3

def GetLifetime():
	return 30.0

def GetFlashColor():
	return (200.0, 20.0, 30.0)